org.apache.geode.cache.configuration

## Class PoolType

- java.lang.Object
- - org.apache.geode.cache.configuration.PoolType

-     @Experimental
      public class PoolType
      extends java.lang.Object

  A "pool" element specifies a client to server connection pool.

  Java class for pool-type complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="pool-type">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice>
               <element name="locator" maxOccurs="unbounded">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <attribute name="host" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="port" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="server" maxOccurs="unbounded">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <attribute name="host" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="port" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </choice>
             <attribute name="subscription-timeout-multiplier" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="socket-connect-timeout" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="free-connection-timeout" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="load-conditioning-interval" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="min-connections" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="max-connections" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="retry-attempts" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="idle-timeout" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="ping-interval" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="read-timeout" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="server-group" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="socket-buffer-size" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="subscription-enabled" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="subscription-message-tracking-timeout" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="subscription-ack-interval" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="subscription-redundancy" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="statistic-interval" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="thread-local-connections" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="pr-single-hop-enabled" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="multiuser-authentication" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PoolType.Locator` Java class for anonymous complex type.
    `static class` | `PoolType.Server` Java class for anonymous complex type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `freeConnectionTimeout`
    `protected java.lang.String` | `idleTimeout`
    `protected java.lang.String` | `loadConditioningInterval`
    `protected java.util.List<PoolType.Locator>` | `locator`
    `protected java.lang.String` | `maxConnections`
    `protected java.lang.String` | `minConnections`
    `protected java.lang.Boolean` | `multiuserAuthentication`
    `protected java.lang.String` | `name`
    `protected java.lang.String` | `pingInterval`
    `protected java.lang.Boolean` | `prSingleHopEnabled`
    `protected java.lang.String` | `readTimeout`
    `protected java.lang.String` | `retryAttempts`
    `protected java.util.List<PoolType.Server>` | `server`
    `protected java.lang.String` | `serverGroup`
    `protected java.lang.String` | `socketBufferSize`
    `protected java.lang.String` | `socketConnectTimeout`
    `protected java.lang.String` | `statisticInterval`
    `protected java.lang.String` | `subscriptionAckInterval`
    `protected java.lang.Boolean` | `subscriptionEnabled`
    `protected java.lang.String` | `subscriptionMessageTrackingTimeout`
    `protected java.lang.String` | `subscriptionRedundancy`
    `protected java.lang.String` | `subscriptionTimeoutMultiplier`
    `protected java.lang.Boolean` | `threadLocalConnections`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PoolType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFreeConnectionTimeout()` Gets the value of the freeConnectionTimeout property.
    `java.lang.String` | `getIdleTimeout()` Gets the value of the idleTimeout property.
    `java.lang.String` | `getLoadConditioningInterval()` Gets the value of the loadConditioningInterval property.
    `java.util.List<PoolType.Locator>` | `getLocator()` Gets the value of the locator property.
    `java.lang.String` | `getMaxConnections()` Gets the value of the maxConnections property.
    `java.lang.String` | `getMinConnections()` Gets the value of the minConnections property.
    `java.lang.String` | `getName()` Gets the value of the name property.
    `java.lang.String` | `getPingInterval()` Gets the value of the pingInterval property.
    `java.lang.String` | `getReadTimeout()` Gets the value of the readTimeout property.
    `java.lang.String` | `getRetryAttempts()` Gets the value of the retryAttempts property.
    `java.util.List<PoolType.Server>` | `getServer()` Gets the value of the server property.
    `java.lang.String` | `getServerGroup()` Gets the value of the serverGroup property.
    `java.lang.String` | `getSocketBufferSize()` Gets the value of the socketBufferSize property.
    `java.lang.String` | `getSocketConnectTimeout()` Gets the value of the socketConnectTimeout property.
    `java.lang.String` | `getStatisticInterval()` Gets the value of the statisticInterval property.
    `java.lang.String` | `getSubscriptionAckInterval()` Gets the value of the subscriptionAckInterval property.
    `java.lang.String` | `getSubscriptionMessageTrackingTimeout()` Gets the value of the subscriptionMessageTrackingTimeout property.
    `java.lang.String` | `getSubscriptionRedundancy()` Gets the value of the subscriptionRedundancy property.
    `java.lang.String` | `getSubscriptionTimeoutMultiplier()` Gets the value of the subscriptionTimeoutMultiplier property.
    `java.lang.Boolean` | `isMultiuserAuthentication()` Gets the value of the multiuserAuthentication property.
    `java.lang.Boolean` | `isPrSingleHopEnabled()` Gets the value of the prSingleHopEnabled property.
    `java.lang.Boolean` | `isSubscriptionEnabled()` Gets the value of the subscriptionEnabled property.
    `java.lang.Boolean` | `isThreadLocalConnections()` Gets the value of the threadLocalConnections property.
    `void` | `setFreeConnectionTimeout(java.lang.String value)` Sets the value of the freeConnectionTimeout property.
    `void` | `setIdleTimeout(java.lang.String value)` Sets the value of the idleTimeout property.
    `void` | `setLoadConditioningInterval(java.lang.String value)` Sets the value of the loadConditioningInterval property.
    `void` | `setMaxConnections(java.lang.String value)` Sets the value of the maxConnections property.
    `void` | `setMinConnections(java.lang.String value)` Sets the value of the minConnections property.
    `void` | `setMultiuserAuthentication(java.lang.Boolean value)` Sets the value of the multiuserAuthentication property.
    `void` | `setName(java.lang.String value)` Sets the value of the name property.
    `void` | `setPingInterval(java.lang.String value)` Sets the value of the pingInterval property.
    `void` | `setPrSingleHopEnabled(java.lang.Boolean value)` Sets the value of the prSingleHopEnabled property.
    `void` | `setReadTimeout(java.lang.String value)` Sets the value of the readTimeout property.
    `void` | `setRetryAttempts(java.lang.String value)` Sets the value of the retryAttempts property.
    `void` | `setServerGroup(java.lang.String value)` Sets the value of the serverGroup property.
    `void` | `setSocketBufferSize(java.lang.String value)` Sets the value of the socketBufferSize property.
    `void` | `setSocketConnectTimeout(java.lang.String value)` Sets the value of the socketConnectTimeout property.
    `void` | `setStatisticInterval(java.lang.String value)` Sets the value of the statisticInterval property.
    `void` | `setSubscriptionAckInterval(java.lang.String value)` Sets the value of the subscriptionAckInterval property.
    `void` | `setSubscriptionEnabled(java.lang.Boolean value)` Sets the value of the subscriptionEnabled property.
    `void` | `setSubscriptionMessageTrackingTimeout(java.lang.String value)` Sets the value of the subscriptionMessageTrackingTimeout property.
    `void` | `setSubscriptionRedundancy(java.lang.String value)` Sets the value of the subscriptionRedundancy property.
    `void` | `setSubscriptionTimeoutMultiplier(java.lang.String value)` Sets the value of the subscriptionTimeoutMultiplier property.
    `void` | `setThreadLocalConnections(java.lang.Boolean value)` Sets the value of the threadLocalConnections property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### locator

          protected java.util.List<PoolType.Locator> locator

    - #### server

          protected java.util.List<PoolType.Server> server

    - #### subscriptionTimeoutMultiplier

          protected java.lang.String subscriptionTimeoutMultiplier

    - #### socketConnectTimeout

          protected java.lang.String socketConnectTimeout

    - #### freeConnectionTimeout

          protected java.lang.String freeConnectionTimeout

    - #### loadConditioningInterval

          protected java.lang.String loadConditioningInterval

    - #### minConnections

          protected java.lang.String minConnections

    - #### maxConnections

          protected java.lang.String maxConnections

    - #### retryAttempts

          protected java.lang.String retryAttempts

    - #### idleTimeout

          protected java.lang.String idleTimeout

    - #### pingInterval

          protected java.lang.String pingInterval

    - #### name

          protected java.lang.String name

    - #### readTimeout

          protected java.lang.String readTimeout

    - #### serverGroup

          protected java.lang.String serverGroup

    - #### socketBufferSize

          protected java.lang.String socketBufferSize

    - #### subscriptionEnabled

          protected java.lang.Boolean subscriptionEnabled

    - #### subscriptionMessageTrackingTimeout

          protected java.lang.String subscriptionMessageTrackingTimeout

    - #### subscriptionAckInterval

          protected java.lang.String subscriptionAckInterval

    - #### subscriptionRedundancy

          protected java.lang.String subscriptionRedundancy

    - #### statisticInterval

          protected java.lang.String statisticInterval

    - #### threadLocalConnections

          protected java.lang.Boolean threadLocalConnections

    - #### prSingleHopEnabled

          protected java.lang.Boolean prSingleHopEnabled

    - #### multiuserAuthentication

          protected java.lang.Boolean multiuserAuthentication

  - ### Constructor Detail

    - #### PoolType

          public PoolType()

  - ### Method Detail

    - #### getLocator

          public java.util.List<PoolType.Locator> getLocator()

      Gets the value of the locator property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the locator property.

      For example, to add a new item, do as follows:

           getLocator().add(newItem);

      Objects of the following type(s) are allowed in the list `PoolType.Locator`

    - #### getServer

          public java.util.List<PoolType.Server> getServer()

      Gets the value of the server property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the server property.

      For example, to add a new item, do as follows:

           getServer().add(newItem);

      Objects of the following type(s) are allowed in the list `PoolType.Server`

    - #### getSubscriptionTimeoutMultiplier

          public java.lang.String getSubscriptionTimeoutMultiplier()

      Gets the value of the subscriptionTimeoutMultiplier property.
      Returns:
        possible object is `String`

    - #### setSubscriptionTimeoutMultiplier

          public void setSubscriptionTimeoutMultiplier(java.lang.String value)

      Sets the value of the subscriptionTimeoutMultiplier property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSocketConnectTimeout

          public java.lang.String getSocketConnectTimeout()

      Gets the value of the socketConnectTimeout property.
      Returns:
        possible object is `String`

    - #### setSocketConnectTimeout

          public void setSocketConnectTimeout(java.lang.String value)

      Sets the value of the socketConnectTimeout property.
      Parameters:
        `value` - allowed object is `String`

    - #### getFreeConnectionTimeout

          public java.lang.String getFreeConnectionTimeout()

      Gets the value of the freeConnectionTimeout property.
      Returns:
        possible object is `String`

    - #### setFreeConnectionTimeout

          public void setFreeConnectionTimeout(java.lang.String value)

      Sets the value of the freeConnectionTimeout property.
      Parameters:
        `value` - allowed object is `String`

    - #### getLoadConditioningInterval

          public java.lang.String getLoadConditioningInterval()

      Gets the value of the loadConditioningInterval property.
      Returns:
        possible object is `String`

    - #### setLoadConditioningInterval

          public void setLoadConditioningInterval(java.lang.String value)

      Sets the value of the loadConditioningInterval property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMinConnections

          public java.lang.String getMinConnections()

      Gets the value of the minConnections property.
      Returns:
        possible object is `String`

    - #### setMinConnections

          public void setMinConnections(java.lang.String value)

      Sets the value of the minConnections property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMaxConnections

          public java.lang.String getMaxConnections()

      Gets the value of the maxConnections property.
      Returns:
        possible object is `String`

    - #### setMaxConnections

          public void setMaxConnections(java.lang.String value)

      Sets the value of the maxConnections property.
      Parameters:
        `value` - allowed object is `String`

    - #### getRetryAttempts

          public java.lang.String getRetryAttempts()

      Gets the value of the retryAttempts property.
      Returns:
        possible object is `String`

    - #### setRetryAttempts

          public void setRetryAttempts(java.lang.String value)

      Sets the value of the retryAttempts property.
      Parameters:
        `value` - allowed object is `String`

    - #### getIdleTimeout

          public java.lang.String getIdleTimeout()

      Gets the value of the idleTimeout property.
      Returns:
        possible object is `String`

    - #### setIdleTimeout

          public void setIdleTimeout(java.lang.String value)

      Sets the value of the idleTimeout property.
      Parameters:
        `value` - allowed object is `String`

    - #### getPingInterval

          public java.lang.String getPingInterval()

      Gets the value of the pingInterval property.
      Returns:
        possible object is `String`

    - #### setPingInterval

          public void setPingInterval(java.lang.String value)

      Sets the value of the pingInterval property.
      Parameters:
        `value` - allowed object is `String`

    - #### getName

          public java.lang.String getName()

      Gets the value of the name property.
      Returns:
        possible object is `String`

    - #### setName

          public void setName(java.lang.String value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `String`

    - #### getReadTimeout

          public java.lang.String getReadTimeout()

      Gets the value of the readTimeout property.
      Returns:
        possible object is `String`

    - #### setReadTimeout

          public void setReadTimeout(java.lang.String value)

      Sets the value of the readTimeout property.
      Parameters:
        `value` - allowed object is `String`

    - #### getServerGroup

          public java.lang.String getServerGroup()

      Gets the value of the serverGroup property.
      Returns:
        possible object is `String`

    - #### setServerGroup

          public void setServerGroup(java.lang.String value)

      Sets the value of the serverGroup property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSocketBufferSize

          public java.lang.String getSocketBufferSize()

      Gets the value of the socketBufferSize property.
      Returns:
        possible object is `String`

    - #### setSocketBufferSize

          public void setSocketBufferSize(java.lang.String value)

      Sets the value of the socketBufferSize property.
      Parameters:
        `value` - allowed object is `String`

    - #### isSubscriptionEnabled

          public java.lang.Boolean isSubscriptionEnabled()

      Gets the value of the subscriptionEnabled property.
      Returns:
        possible object is `Boolean`

    - #### setSubscriptionEnabled

          public void setSubscriptionEnabled(java.lang.Boolean value)

      Sets the value of the subscriptionEnabled property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### getSubscriptionMessageTrackingTimeout

          public java.lang.String getSubscriptionMessageTrackingTimeout()

      Gets the value of the subscriptionMessageTrackingTimeout property.
      Returns:
        possible object is `String`

    - #### setSubscriptionMessageTrackingTimeout

          public void setSubscriptionMessageTrackingTimeout(java.lang.String value)

      Sets the value of the subscriptionMessageTrackingTimeout property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSubscriptionAckInterval

          public java.lang.String getSubscriptionAckInterval()

      Gets the value of the subscriptionAckInterval property.
      Returns:
        possible object is `String`

    - #### setSubscriptionAckInterval

          public void setSubscriptionAckInterval(java.lang.String value)

      Sets the value of the subscriptionAckInterval property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSubscriptionRedundancy

          public java.lang.String getSubscriptionRedundancy()

      Gets the value of the subscriptionRedundancy property.
      Returns:
        possible object is `String`

    - #### setSubscriptionRedundancy

          public void setSubscriptionRedundancy(java.lang.String value)

      Sets the value of the subscriptionRedundancy property.
      Parameters:
        `value` - allowed object is `String`

    - #### getStatisticInterval

          public java.lang.String getStatisticInterval()

      Gets the value of the statisticInterval property.
      Returns:
        possible object is `String`

    - #### setStatisticInterval

          public void setStatisticInterval(java.lang.String value)

      Sets the value of the statisticInterval property.
      Parameters:
        `value` - allowed object is `String`

    - #### isThreadLocalConnections

          public java.lang.Boolean isThreadLocalConnections()

      Gets the value of the threadLocalConnections property.
      Returns:
        possible object is `Boolean`

    - #### setThreadLocalConnections

          public void setThreadLocalConnections(java.lang.Boolean value)

      Sets the value of the threadLocalConnections property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### isPrSingleHopEnabled

          public java.lang.Boolean isPrSingleHopEnabled()

      Gets the value of the prSingleHopEnabled property.
      Returns:
        possible object is `Boolean`

    - #### setPrSingleHopEnabled

          public void setPrSingleHopEnabled(java.lang.Boolean value)

      Sets the value of the prSingleHopEnabled property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### isMultiuserAuthentication

          public java.lang.Boolean isMultiuserAuthentication()

      Gets the value of the multiuserAuthentication property.
      Returns:
        possible object is `Boolean`

    - #### setMultiuserAuthentication

          public void setMultiuserAuthentication(java.lang.Boolean value)

      Sets the value of the multiuserAuthentication property.
      Parameters:
        `value` - allowed object is `Boolean`